import * as reev from 'reev';
import * as refr_dist_types_687121c7 from 'refr/dist/types-687121c7';
import { G as GL, P as PrecisionMode, U as Uniform, A as Attribute, a as GLClearMode, b as GLDrawMode } from './types-f429c8b1.js';
import { Fun } from 'refr';
export { Fun } from 'refr';

declare const useGL: (props?: Partial<GL>, self?: GL) => reev.EventState<{
    id: string;
    width: number;
    height: number;
    size: [number, number];
    mouse: [number, number];
    count: number;
    vs: string;
    fs: string;
    vert: string;
    frag: string;
    vertex: string;
    fragment: string;
    varying: string;
    int: PrecisionMode;
    float: PrecisionMode;
    sampler2D: PrecisionMode;
    samplerCube: PrecisionMode;
    lastActiveUnit: number;
    gl: any;
    pg: any;
    el: any;
    queue: refr_dist_types_687121c7.Q<Fun<unknown[], unknown>>;
    frame: refr_dist_types_687121c7.a<Fun<unknown[], unknown>>;
    target: any;
    stride: reev.Nested<number, any[]>;
    location: reev.Nested<any, any[]>;
    activeUnit: reev.Nested<number, any[]>;
    default: any;
    ref?: any;
    init(varying?: string[]): void;
    mount(): void;
    clean(): void;
    render(): void;
    mousemove(e: Event): void;
    resize(e?: Event, width?: number, height?: number): void;
    load(e?: Event, image?: HTMLImageElement): void;
    uniform(key: string, value: Uniform): GL;
    uniform(target: {
        [key: string]: Uniform;
    }): GL;
    texture(key: string, value: string): GL;
    texture(target: {
        [key: string]: string;
    }): GL;
    attribute(key: string, value: Attribute, iboValue?: Attribute): GL;
    attribute(target: {
        [key: string]: Attribute;
    }): GL;
    clear(key?: GLClearMode): void;
    viewport(size?: [number, number]): void;
    drawArrays(key?: GLDrawMode): void;
    drawElements(key?: GLDrawMode): void;
}, any[] | unknown[]>;
declare const useTF: (props: Partial<GL>, self?: GL) => GL;
declare const useTexture: (props: any, self?: GL) => GL;
declare const useAttribute: (props: any, self?: GL) => GL;
declare const useUniform: (props: any, self?: GL) => GL;
declare const useFrame: (fun: Fun, self?: GL) => GL;

export { GL, useAttribute, useFrame, useGL, useTF, useTexture, useUniform };
